summaryrefslogtreecommitdiff
path: root/games/xbill/xbill.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/xbill/xbill.SlackBuild')
-rw-r--r--games/xbill/xbill.SlackBuild91
1 files changed, 91 insertions, 0 deletions
diff --git a/games/xbill/xbill.SlackBuild b/games/xbill/xbill.SlackBuild
new file mode 100644
index 0000000000..bfab3c2913
--- /dev/null
+++ b/games/xbill/xbill.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for XBill
+# Written by Menno E. Duursma <druiloor@zonnet.nl>
+
+# This program is free software. It comes without any warranty.
+# Granted WTFPL, Version 2, as published by Sam Hocevar. See
+# http://sam.zoy.org/wtfpl/COPYING for more details.
+
+# Modified by SlackBuilds.org
+
+PRGNAM=xbill
+VERSION=${VERSION:-2.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --localstatedir=/var/games \
+ --mandir=/usr/man \
+ --with-x \
+ --enable-motif \
+ --enable-athena \
+ --enable-gtk
+
+make
+make install DESTDIR=$PKG
+
+# Don't overwrite hi-scores, if any
+mv $PKG/var/games/xbill/scores $PKG/var/games/xbill/scores.new
+
+# Do a little trick to disallow cheating, hopefully
+# Note: we do the privs stuff in doinst.sh for target system
+cp -a $PKG/usr/bin/xbill $PKG/usr/bin/xbill-bin
+gcc -Wall $SLKCFLAGS $CWD/xbill-wrapper.c -o $PKG/usr/bin/xbill
+
+find $PKG -type f | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+( cd $PKG/usr/man || exit 1
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do
+ ln -s $( readlink $i ).gz $i.gz ; rm $i
+ done
+)
+
+# Add desktop entry nicked from the spec file
+mkdir -p $PKG/usr/share/applications
+install -D -m 0644 $CWD/xbill.desktop $PKG/usr/share/applications/xbill.desktop
+install -D -m 0644 $CWD/xbill.png $PKG/usr/share/pixmaps/xbill.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a INSTALL README README.Ports ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/xbill-wrapper.c > $PKG/usr/doc/$PRGNAM-$VERSION/xbill-wrapper.c
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz